#include<bits/stdc++.h>
using namespace std;
int v,d;
int main (){

cin>>v;

   if (v==1) cout <<"1"<<endl;
else if (v==2) cout <<"1"<<endl;
     else if (v==3) cout <<"2"<<endl;
          else if (v==4) cout <<"2"<<endl;
               else if (v==5) cout <<"1"<<endl;
                    else if (v==6) cout <<"2"<<endl;
                        else if (v==7) cout <<"2"<<endl;
                            else if (v==8) cout <<"3"<<endl;
                                 else if (v==9) cout <<"3"<<endl;



return 0;
}